public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Adel KARA SLIMANE" <adel@karaslimane.com>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/proj/guru:dev commit in: games-util/mangohud/
Date: Sat, 28 Dec 2024 01:59:51 +0000 (UTC)	[thread overview]
Message-ID: <1735351185.8ce2ebdb276ff9fb17da61ecc508536c754c7286.adel@gentoo> (raw)

commit:     8ce2ebdb276ff9fb17da61ecc508536c754c7286
Author:     Adel KARA SLIMANE <adel.ks <AT> zegrapher <DOT> com>
AuthorDate: Sat Dec 28 01:51:24 2024 +0000
Commit:     Adel KARA SLIMANE <adel <AT> karaslimane <DOT> com>
CommitDate: Sat Dec 28 01:59:45 2024 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=8ce2ebdb

games-util/mangohud: improve dependencies

Closes: https://bugs.gentoo.org/946925
Closes: https://bugs.gentoo.org/947002

Signed-off-by: Adel KARA SLIMANE <adel.ks <AT> zegrapher.com>

 games-util/mangohud/mangohud-0.7.2-r1.ebuild | 31 ++++++++++++++--------------
 games-util/mangohud/mangohud-9999.ebuild     | 31 ++++++++++++++--------------
 2 files changed, 32 insertions(+), 30 deletions(-)

diff --git a/games-util/mangohud/mangohud-0.7.2-r1.ebuild b/games-util/mangohud/mangohud-0.7.2-r1.ebuild
index 568302aad..307d4ff23 100644
--- a/games-util/mangohud/mangohud-0.7.2-r1.ebuild
+++ b/games-util/mangohud/mangohud-0.7.2-r1.ebuild
@@ -55,14 +55,12 @@ BDEPEND="
 
 DEPEND="
 	${PYTHON_DEPS}
-	=media-libs/imgui-1.89.9*[opengl,vulkan,${MULTILIB_USEDEP}]
-	=media-libs/implot-0.16*[${MULTILIB_USEDEP}]
-	=dev-libs/spdlog-1.13.0*[${MULTILIB_USEDEP}]
-	dev-libs/libfmt[${MULTILIB_USEDEP}]
+	=media-libs/imgui-1.89.9*:=[opengl,vulkan,${MULTILIB_USEDEP}]
+	=media-libs/implot-0.16*:=[${MULTILIB_USEDEP}]
+	dev-libs/spdlog:=[${MULTILIB_USEDEP}]
+	dev-libs/libfmt:=[${MULTILIB_USEDEP}]
 	dev-cpp/nlohmann_json
-	media-libs/vulkan-loader[${MULTILIB_USEDEP}]
-	media-libs/libglvnd[${MULTILIB_USEDEP}]
-	x11-libs/libdrm[${MULTILIB_USEDEP}]
+	x11-libs/libxkbcommon
 	dbus? ( sys-apps/dbus[${MULTILIB_USEDEP}] )
 	X? ( x11-libs/libX11[${MULTILIB_USEDEP}] )
 	video_cards_nvidia? (
@@ -72,23 +70,26 @@ DEPEND="
 	wayland? ( dev-libs/wayland[${MULTILIB_USEDEP}] )
 	mangoapp? (
 		=media-libs/imgui-1.89.9*[glfw]
-		media-libs/glfw[X(+)]
+		media-libs/glfw[X(+)?,wayland(+)?]
 		media-libs/glew
 	)
 "
 
 RDEPEND="
 	${DEPEND}
+	media-libs/libglvnd[${MULTILIB_USEDEP}]
+	media-libs/vulkan-loader[${MULTILIB_USEDEP}]
 	mangoplot? (
 		media-fonts/lato
 		$(python_gen_cond_dep '
-		|| (
-			dev-python/matplotlib[gtk3,${PYTHON_USEDEP}]
-			dev-python/matplotlib[qt5(-),${PYTHON_USEDEP}]
-			dev-python/matplotlib[qt6(-),${PYTHON_USEDEP}]
-			dev-python/matplotlib[wxwidgets,${PYTHON_USEDEP}]
-		)
-	') )
+			|| (
+				dev-python/matplotlib[gtk3,${PYTHON_USEDEP}]
+				dev-python/matplotlib[qt5(-),${PYTHON_USEDEP}]
+				dev-python/matplotlib[qt6(-),${PYTHON_USEDEP}]
+				dev-python/matplotlib[wxwidgets,${PYTHON_USEDEP}]
+			)
+		')
+	)
 "
 
 src_unpack() {

diff --git a/games-util/mangohud/mangohud-9999.ebuild b/games-util/mangohud/mangohud-9999.ebuild
index 5d39251e9..79b464829 100644
--- a/games-util/mangohud/mangohud-9999.ebuild
+++ b/games-util/mangohud/mangohud-9999.ebuild
@@ -55,14 +55,12 @@ BDEPEND="
 
 DEPEND="
 	${PYTHON_DEPS}
-	=media-libs/imgui-1.89.9*[opengl,vulkan,${MULTILIB_USEDEP}]
-	=media-libs/implot-0.16*[${MULTILIB_USEDEP}]
-	=dev-libs/spdlog-1.13.0*[${MULTILIB_USEDEP}]
-	dev-libs/libfmt[${MULTILIB_USEDEP}]
+	=media-libs/imgui-1.89.9*:=[opengl,vulkan,${MULTILIB_USEDEP}]
+	=media-libs/implot-0.16*:=[${MULTILIB_USEDEP}]
+	dev-libs/spdlog:=[${MULTILIB_USEDEP}]
+	dev-libs/libfmt:=[${MULTILIB_USEDEP}]
 	dev-cpp/nlohmann_json
-	media-libs/vulkan-loader[${MULTILIB_USEDEP}]
-	media-libs/libglvnd[${MULTILIB_USEDEP}]
-	x11-libs/libdrm[${MULTILIB_USEDEP}]
+	x11-libs/libxkbcommon
 	dbus? ( sys-apps/dbus[${MULTILIB_USEDEP}] )
 	X? ( x11-libs/libX11[${MULTILIB_USEDEP}] )
 	video_cards_nvidia? (
@@ -72,23 +70,26 @@ DEPEND="
 	wayland? ( dev-libs/wayland[${MULTILIB_USEDEP}] )
 	mangoapp? (
 		=media-libs/imgui-1.89.9*[glfw]
-		media-libs/glfw[X(+)]
+		media-libs/glfw[X(+)?,wayland(+)?]
 		media-libs/glew
 	)
 "
 
 RDEPEND="
 	${DEPEND}
+	media-libs/libglvnd[${MULTILIB_USEDEP}]
+	media-libs/vulkan-loader[${MULTILIB_USEDEP}]
 	mangoplot? (
 		media-fonts/lato
 		$(python_gen_cond_dep '
-		|| (
-			dev-python/matplotlib[gtk3,${PYTHON_USEDEP}]
-			dev-python/matplotlib[qt5(-),${PYTHON_USEDEP}]
-			dev-python/matplotlib[qt6(-),${PYTHON_USEDEP}]
-			dev-python/matplotlib[wxwidgets,${PYTHON_USEDEP}]
-		)
-	') )
+			|| (
+				dev-python/matplotlib[gtk3,${PYTHON_USEDEP}]
+				dev-python/matplotlib[qt5(-),${PYTHON_USEDEP}]
+				dev-python/matplotlib[qt6(-),${PYTHON_USEDEP}]
+				dev-python/matplotlib[wxwidgets,${PYTHON_USEDEP}]
+			)
+		')
+	)
 "
 
 src_unpack() {


             reply	other threads:[~2024-12-28  1:59 UTC|newest]

Thread overview: 36+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2024-12-28  1:59 Adel KARA SLIMANE [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-03-09 16:52 [gentoo-commits] repo/proj/guru:dev commit in: games-util/mangohud/ Kostadin Shishmanov
2025-03-09 16:52 Kostadin Shishmanov
2025-02-15 12:26 Vincent Ahluwalia
2025-02-15 12:14 Vincent Ahluwalia
2024-12-28  1:59 Adel KARA SLIMANE
2024-12-26 17:06 V Uethya
2024-12-25 20:53 Gonçalo Negrier Duarte
2024-12-11 18:28 Adel KARA SLIMANE
2024-12-10  0:01 Adel KARA SLIMANE
2024-09-18 12:08 Takuya Wakazono
2024-06-03 10:41 Gonçalo Negrier Duarte
2024-05-23  9:37 Gonçalo Negrier Duarte
2024-05-11  7:45 Gonçalo Negrier Duarte
2024-05-10 14:00 Gonçalo Negrier Duarte
2024-05-09 23:54 Gonçalo Negrier Duarte
2024-04-13 17:15 [gentoo-commits] repo/proj/guru:master " Julien Roy
2024-04-13 17:09 ` [gentoo-commits] repo/proj/guru:dev " Julien Roy
2024-04-13 15:53 Adel KARA SLIMANE
2024-02-07 18:05 Gonçalo Negrier Duarte
2024-02-07 17:59 Gonçalo Negrier Duarte
2024-02-07  1:44 Gonçalo Negrier Duarte
2024-02-06 20:59 Gonçalo Negrier Duarte
2023-11-27 22:13 Adel KARA SLIMANE
2023-08-22 18:15 Adel KARA SLIMANE
2023-08-20  0:42 Adel KARA SLIMANE
2023-08-20  0:42 Adel KARA SLIMANE
2022-09-26 10:05 Andrew Ammerlaan
2022-09-07 20:55 Adel KARA SLIMANE
2022-09-02  2:11 Jay Faulkner
2022-08-27 19:22 Adel KARA SLIMANE
2022-07-22 17:39 Adel KARA SLIMANE
2022-05-11 19:07 Adel KARA SLIMANE
2022-05-11 18:33 Adel KARA SLIMANE
2022-05-09 21:07 Adel KARA SLIMANE
2022-05-09 18:44 [gentoo-commits] repo/proj/guru:master " Andrew Ammerlaan
2022-05-09 18:34 ` [gentoo-commits] repo/proj/guru:dev " Andrew Ammerlaan
2022-05-03 21:59 Adel KARA SLIMANE

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1735351185.8ce2ebdb276ff9fb17da61ecc508536c754c7286.adel@gentoo \
    --to=adel@karaslimane.com \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox